Bug 1337817 - The 'Start-End Date' of expired subscription is not in red status when the subscription expired.
Summary: The 'Start-End Date' of expired subscription is not in red status when the su...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 6.9
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On: 1249012
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-20 07:06 UTC by qianzhan
Modified: 2017-03-21 10:55 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1249012
Environment:
Last Closed: 2017-03-21 10:55:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
Attached subscription before changing time (154.66 KB, image/png)
2016-06-15 18:31 UTC, Sean Toner
no flags Details
Shows red highlight after changing time on rhel 6.8 (239.29 KB, image/png)
2016-06-15 18:32 UTC, Sean Toner
no flags Details
Shows no error in the logs (198.57 KB, image/png)
2016-06-15 20:18 UTC, Sean Toner
no flags Details
shows no error in the logs in RHEL7.3 (202.65 KB, image/png)
2016-06-15 20:19 UTC, Sean Toner
no flags Details
Shows red highlight after the subscription expires (85.22 KB, image/png)
2017-01-19 16:44 UTC, Shwetha Kallesh
no flags Details
Shows yellow highlight on the day when the subscription expires (94.26 KB, image/png)
2017-01-19 16:47 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1428 None None None 2016-10-17 22:23:32 UTC
Red Hat Product Errata RHSA-2017:0698 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Comment 7 Sean Toner 2016-06-15 18:31:47 UTC
Created attachment 1168467 [details]
Attached subscription before changing time

Comment 8 Sean Toner 2016-06-15 18:32:30 UTC
Created attachment 1168468 [details]
Shows red highlight after changing time on rhel 6.8

Comment 9 Sean Toner 2016-06-15 20:18:38 UTC
Created attachment 1168506 [details]
Shows no error in the logs

Comment 10 Sean Toner 2016-06-15 20:19:11 UTC
Created attachment 1168507 [details]
shows no error in the logs in RHEL7.3

Comment 11 Sean Toner 2016-06-15 20:40:49 UTC
I installed the latest el6 packages:

[root@dhcp129-121 ~]# rpm -qa | grep subscription-manager
subscription-manager-migration-data-2.0.28-1.git.0.f34310a.el6.noarch
subscription-manager-plugin-container-1.17.7-1.git.14.61c01ac.el6.x86_64
subscription-manager-1.17.7-1.git.14.61c01ac.el6.x86_64
subscription-manager-firstboot-1.17.7-1.git.14.61c01ac.el6.x86_64
subscription-manager-migration-1.17.7-1.git.14.61c01ac.el6.x86_64
subscription-manager-gui-1.17.7-1.git.14.61c01ac.el6.x86_64


and el7:


[root@dhcp129-239 ~]# rpm -qa | grep subscription-manager
subscription-manager-plugin-container-1.17.7-1.git.14.61c01ac.el7.x86_64
subscription-manager-1.17.7-1.git.14.61c01ac.el7.x86_64
subscription-manager-migration-1.17.7-1.git.14.61c01ac.el7.x86_64
subscription-manager-migration-data-2.0.28-1.git.0.f34310a.el7.noarch
subscription-manager-plugin-ostree-1.17.7-1.git.14.61c01ac.el7.x86_64
subscription-manager-gui-1.17.7-1.git.14.61c01ac.el7.x86_64
subscription-manager-initial-setup-addon-1.17.7-1.git.14.61c01ac.el7.x86_64

I first did a normal subscription attachment and showed that the Start - End date field was normal.  I then modified the time on the candlepin server and the local machine into the future past the end date.  

I opened subscription-manager-gui from the console to check if there were any errors (see the "Show no error..." attachments) and there were none.  Checked the /var/log/rhsm/rhsm.log file for errors, and did not get any GTK errors.

Comment 12 Sean Toner 2016-06-15 20:44:20 UTC
Accidentally moved to verified state.  Moved it back to modified

Comment 16 Shwetha Kallesh 2017-01-19 16:44:20 UTC
Created attachment 1242528 [details]
Shows red highlight after the subscription expires

Comment 17 Shwetha Kallesh 2017-01-19 16:47:44 UTC
Created attachment 1242529 [details]
Shows yellow highlight on the day when the subscription expires

Comment 19 errata-xmlrpc 2017-03-21 10:55:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.